> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-api/readme.md).

# Overview

### Integration

The CAF API follows the [REST ](https://en.wikipedia.org/wiki/Representational_state_transfer)standard. Therefore, our API has predictable resource-oriented URLs that accept and return data in JSON format while also using standard HTTP code in the response.

{% hint style="warning" %}
**Important Notice on Authentication and Integrations**

All integrations with CAF APIs must be implemented exclusively via backend/server-side. Client-side or frontend-based integrations may be blocked and significantly increase the risk of authentication key exposure.

Caf continuously monitors the usage and exposure of authentication keys. Any key identified as exposed, compromised, or used in non-compliant implementations will be immediately revoked, which may result in the interruption of the associated operation, without prior notice.

It is the integrator’s responsibility to ensure compliance with the recommended authentication patterns and security best practices described in this documentation.
{% endhint %}

### Responses <a href="#czs" id="czs"></a>

We use conventional response codes to indicate success or failure in a request. In short, codes in the `2xx` range represent success. Codes in the `4xx` range indicate validation error types with the information provided or mapped failures. Finally, codes in the `5xx` range indicate an error with the servers or some other unforeseen failure.

In addition, all responses have an identifier for the request, the `requestId` field. This field is helpful for us to find the exact request in case of investigation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-api/readme.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
